Bug 62943 - APM doesn't handle second battery in Sony Athlon laptop
APM doesn't handle second battery in Sony Athlon laptop
Status: CLOSED DEFERRED
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
skipjack-beta2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-08 03:07 EDT by Warren Togami
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-14 07:19:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-04-08 03:07:58 EDT
From Bugzilla Helper:   
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0; Linux)   
   
Description of problem:   
Sony Vaio PCG-FXA36 Athlon laptop computer  (All Sony FXA series notebooks   
thus far have the same chipset, differing only in CPU, RAM and hard drive.)   
   
APM battery monitoring works properly when the first battery is used.  It   
detects when AC power is plugged in or not, and it properly detects the amount   
of battery remaining.   
   
However, when the second battery is added (during runtime or while powered   
off) apm is unable to show the actual power remaining.  It is stuck somewhere   
between 97-100% until the second battery is completely drained.  After that   
point the percentage heads towards zero as it drains battery #1.  I can see 
which battery it is currently draining by the LEDs below my notebook screen.   
   
Version-Release number of selected component (if applicable):   
Skipjack beta 2   
   
How reproducible:   
Always   
   
Steps to Reproduce:   
1. Use Sony FXA laptop without AC power with #1 and #2 battery.   
2. APM power meter stuck near 100% until battery #2 is fully drained.   
3. APM percentage goes down properly while discharging battery #1.   
   
Actual Results:     
APM properly displays battery percentage only when battery #1 is used, or   
battery #2 is completely drained.   
   
Expected Results:     
APM should get data as a sum of battery #1 and battery #2 when both batteries   
are in the computer.  ACPI is able to see both battery's status, but ACPI 
isn't default in Red Hat Linux.  
   
Additional info:   
This misbehaved identically in Red Hat Linux 7.2 and Mandrake 8.2.
Comment 1 Bernhard Rosenkraenzer 2002-04-08 06:07:22 EDT
This sounds like a very broken APM implementation in the BIOS delivering wrong data to the 
kernel. Assigning to kernel so it can be blacklisted.
Comment 2 Warren Togami 2002-04-08 07:33:58 EDT
Please do not blacklist this chipset.  The battery indicator works 100% with a
single battery.  The presence of the second battery just makes it think that the
first battery is full (until the second battery is drained).

Also, awol@home.nl posted to Skipjack-list about his Intel Dell Inspiron 8100
laptop seeing similar behavior.  This may be a more general problem that may be
fixable.  I'm hoping he will post here soon with his additional details.
Comment 3 Arjan van de Ven 2002-04-09 08:27:38 EDT
I wouldn't be surprised if the APM spec doesn't take 2 batteries into account.
The "time left" comes from the bios and the bios ought to take both batteries
into account....
Comment 4 Warren Togami 2002-04-14 07:19:15 EDT
DEFERRED for now?  I understand this may have to wait until ACPI is complete 
and stable. =( 

Note You need to log in before you can comment on or make changes to this bug.